package com.ejie.aa20b.model;

/**
 * RolesMovil
 * 
 * @author UDA
 */

public class RolesMovil implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRol;
	private String idRolGmao;
	private String descRol;
	private String sistema;

	/**
	 * Method 'RolesMovil'.
	 */
	public RolesMovil() {
	}

	/**
	 * Method 'UsuariosMovil'.
	 * 
	 */
	public RolesMovil(Integer idRol, String idRolGmao, String descRol,
			String sistema) {

		this.idRol = idRol;
		this.idRolGmao = idRolGmao;
		this.descRol = descRol;
		this.sistema = sistema;

	}

	public Integer getIdRol() {
		return idRol;
	}

	public void setIdRol(Integer idRol) {
		this.idRol = idRol;
	}

	public String getIdRolGmao() {
		return idRolGmao;
	}

	public void setIdRolGmao(String idRolGmao) {
		this.idRolGmao = idRolGmao;
	}

	public String getDescRol() {
		return descRol;
	}

	public void setDescRol(String descRol) {
		this.descRol = descRol;
	}

	public String getSistema() {
		return sistema;
	}

	public void setSistema(String sistema) {
		this.sistema = sistema;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * private String login; private String rol; private String nombreBD;
	 * private String passwordHash; private String imei; private String
	 * idTecnico; private Date fechaUltimaSinc; private String idIdioma; private
	 * String email; private String versionApp; private String deviceName;
	 * private String deviceVersion; private String devicePlatform;
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRol: ").append(this.idRol).append(" ]");
		result.append(" [ idRolGmao: ").append(this.idRolGmao).append(" ]");
		result.append(", [ descRol: ").append(this.descRol).append(" ]");
		result.append(", [ sistema: ").append(this.sistema).append(" ]");

		result.append("}");
		return result.toString();
	}

}
